ParameterDefinition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface ParameterDefinition

- All Superinterfaces:
    DefinitionObject, InterchangeObject, MediaEntity, MetadataObject, WeakReferenceTarget
  All Known Implementing Classes:
    ParameterDefinitionImpl

      public interface ParameterDefinition
      extends DefinitionObject

  Specifies the definition of a kind of parameter required to control an effect.

  See Also:
    `Parameter`, `ParameterConstant`, `Warehouse.lookup(Class, String)`, `Dictionary.getParameterDefinitions()`, `OperationDefinition.getOperationParametersDefined()`, `TypeDefinitions.ParameterDefinitionWeakReference`, `TypeDefinitions.ParameterDefinitionWeakReferenceSet`, `TypeDefinitions.ParameterDefinitionStrongReference`, `TypeDefinitions.ParameterDefinitionStrongReferenceSet`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterDefinition` | `clone()` Create a cloned copy of this parameter definition.
    `String` | `getParameterDisplayUnits()` Returns the display unit property of this parameter definition, which is a displayable string identifying the units in which the parameter is measured.
    `TypeDefinition` | `getParameterType()` Returns the type definition attached to this parameter definition, which specifies the data type of the parameter.
    `void` | `setParameterDisplayUnits(String displayUnits)` Sets the display units of this parameter definition, which is a displayable string identifying the units in which the parameter is measured.

    - ### Methods inherited from interface tv.amwa.maj.model.DefinitionObject

      `getAUID, getDescription, getName, setDescription, setName`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getWeakTargetReference`

- - ### Method Detail

    - #### getParameterType

          TypeDefinition getParameterType()

      Returns the type definition attached to this parameter definition, which specifies the data type of the parameter.

      Returns:
        Type definition attached to this parameter definition.

    - #### setParameterDisplayUnits

          void setParameterDisplayUnits(@AAFString
                                        String displayUnits)

      Sets the display units of this parameter definition, which is a displayable string identifying the units in which the parameter is measured. For example: "% of picture width". Set this optional property to `null` to omit it.

      Parameters:
        `displayUnits` - Display units of this parameter definition.

    - #### getParameterDisplayUnits

          @AAFString
          String getParameterDisplayUnits()
                                              throws PropertyNotPresentException

      Returns the display unit property of this parameter definition, which is a displayable string identifying the units in which the parameter is measured. For example: "% of picture width". This property is optional.

      Returns:
        Display unit property of the parameter definition.
      Throws:
        `PropertyNotPresentException` - The optional display units property is not present in this parameter definition.

    - #### clone

          ParameterDefinition clone()

      Create a cloned copy of this parameter definition.

      Specified by:
        `clone` in interface `DefinitionObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this parameter definition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.